Bug 6926 - overdue_notices don't send itemcount to notification
Summary: overdue_notices don't send itemcount to notification
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Paul Poulain
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-27 13:12 UTC by Paul Poulain
Modified: 2013-12-05 19:59 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6926 : overdue_notices don't send itemcount to notification (1.33 KB, patch)
2011-09-27 13:14 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 6926 : overdue_notices don't send itemcount to notification (1.38 KB, patch)
2011-11-04 08:34 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Poulain 2011-09-27 13:12:09 UTC
In advanced_notices.pl you can return the number of due items using <<count>> flag.
If you use this flag in overdue_notices, it does not work, no number is displayed.

Step to reproduce :
Attach the default DUEDGST notification to overdue rules, and run
advanced_notices.pl -n,
You should see something like :
You have  items due
instead of 
You have 2 items due
(2, or 1, or 3, or whatever you've overdue)
Comment 1 Paul Poulain 2011-09-27 13:14:32 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-11-04 08:34:16 UTC
Created attachment 6185 [details] [review]
Bug 6926 : overdue_notices don't send itemcount to notification

In advanced_notices.pl you can return the number of due items using <<count>>
flag.
If you use this flag in overdue_notices, it does not work, no number is
displayed.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 3 Marcel de Rooy 2011-12-01 08:47:22 UTC
QA: Looks good. Updated patch status.
Comment 4 Paul Poulain 2011-12-03 06:50:48 UTC
patch pushed, please test
Comment 5 Jared Camins-Esakov 2012-05-23 12:47:19 UTC
This was included in the 3.6 branch prior to 3.6.4.